Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer
Class HRCParser

    java.lang.Object
      net.sf.colorer.HRCParser

    public class HRCParser

extends java.lang.Object

Abstract template of HRCParser class implementation. Defines basic operations of loading and accessing HRC information.

Method Summary
`void` | `dispose()`
`java.util.Enumeration` | `enumerateFileTypes()` Enumerates all available language types.
`protected void` | `finalize()`
`Group[]` | `getGroups()` Returns tree of groups and types
`Region` | `getRegion(int index)` Returns reference to region with specified internal index.
`Region` | `getRegion(java.lang.String qname)` Returns reference to region with specified qualified name.
`boolean` | `isDisposed()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isDisposed

    public boolean isDisposed()

### dispose

    public void dispose()

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### getRegion

    public Region getRegion(java.lang.String qname)

  Returns reference to region with specified qualified name. If no such region, returns null.

### getRegion

    public Region getRegion(int index)

  Returns reference to region with specified internal index. If no such region, returns null.

### getGroups

    public Group[] getGroups()

  Returns tree of groups and types

### enumerateFileTypes

    public java.util.Enumeration enumerateFileTypes()

  Enumerates all available language types. Each element in enumeration contains reference to a FileType object instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.